@import "variables";

.instagram-shots-section {
  background-color: $color_darkGray;
  padding: 25px;
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  grid-gap: 10px;
  grid-template-areas:
    "header-big header-big link link"
    "photo-1 photo-2 photo-3 photo-4";
  @media #{$size_1200} {
    grid-template-areas:
    "header-big header-big link"
    "photo-1 photo-2 photo-3";
  }
  @media #{$size_768} {
    grid-template-areas:
    "header-320"
    "photo-1";
  }
}

.instagram-shot-header_320 {
  grid-area: header-320;
  display: none;
  @media #{$size_768} {
    display: block;
  }
}

.instagram-shot-header_big {
  grid-area: header-big;
  @media #{$size_768} {
    display: none;
  }
}

.instagram-link {
  grid-area: link;
  text-align: right;
  @media #{$size_768} {
    display: none;
  }
}

.instagram-shot-box {
  width: 280px;
  height: 280px;
  background-size: cover;
  @media #{$size_1200} {
    width: 230px;
    height: 230px;
  }
  @media #{$size_768} {
    width: 270px;
    height: 270px;
  }
}

.instagram-shot-1 {
  background-image: url("../img/instagram-shot-1.jpg");
  grid-area: photo-1;
}

.instagram-shot-2 {
  background-image: url("../img/instagram-shot-2.jpg");
  grid-area: photo-2;
  @media #{$size_768} {
    display: none;
  }
}

.instagram-shot-3 {
  background-image: url("../img/instagram-shot-3.jpg");
  grid-area: photo-3;
  @media #{$size_768} {
    display: none;
  }
}

.instagram-shot-4 {
  background-image: url("../img/instagram-shot-4.jpg");
  grid-area: photo-4;
  @media #{$size_1200} {
    display: none;
  }
  @media #{$size_768} {
    display: none;
  }
}